var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

import R from 'ramda';
import React from 'react';
import { Seed } from 'react-seeds';

var wrap = function wrap(propName, otherProps) {
	return function (value) {
		var _ref;

		return React.createElement(Seed, _extends({}, otherProps, (_ref = {}, _ref[propName] = value, _ref)));
	};
};

export default R.cond([[R.complement(R.pipe(Number, isNaN)), // Is valid number
R.pipe(Number, wrap('basis', { shrink: 0 }))], [R.is(String), wrap('children')], [R.T, R.identity]]);